package main

type Context struct {
	Config string
}

type listCmd struct{}

type generateCmd struct {
	Title    string `short:"t" optional:"" help:"The title of the ebook."`
	Category string `short:"C" help:"Use only one category of feeds."`
	Format   string `short:"f" enum:"mobi,epub" default:"mobi" help:"Format of the generated ebook."`
}

var cli struct {
	Config string `short:"c" default:"bookworm.json" help:"The path to the configuration file."`

	List     listCmd     `cmd:"" help:"Get the list of categories on the remote RSS reader."`
	Generate generateCmd `cmd:"" help:"Generate an ebook."`
}
